Überblick

Das Beckhoff Service Tool, kurz BST, ist ein einfach zu bedienendes, grafisches Sicherungs- und Wiederherstellungsprogramm für Windows Embedded Standard, Windows XP und höher. Ab der Version 1.0.3.20 wird auch Windows CE unterstützt. Mit dem BST können komplette Sicherungen des Betriebsystems auf den unterstützten Geräten erstellt bzw. wiederhergestellt und System-Updates auf die Geräte aufgespielt werden. Eine Liste der von Beckhoff unterstützten Geräte gibt es hier.

Das BST gibt es in zwei Versionen: C9900-I900 und C9900-I901.

  • C9900-I900 bietet die Möglichkeit, Abbilder von Festplatten oder Compact Flash Karten auf Ordnerebene(n) zu sichern und wiederherzustellen.
  • C9900-I901 kann zusätzlich Abbilder im Acronis Image Format erstellen und wiederherstellen.
    •

    Einsatz-Szenario

    Ein mögliches Einsatz-Szenario wäre zum Beispiel das Update eines CX1020 direkt an der Maschine. Hierfür muss das Gerät zunächst heruntergefahren werden. Schließt man nun den USB-Stick inkl. BST an einen der USB-Ports des CX an, kann dieser vom USB-Stick hochgefahren werden. Dazu ist sicherzustellen, dass die Bootreihenfolge korrekt eingestellt ist - siehe Einstellen der Bootreihenfolge...
    Nach dem Bootvorgang wird das Beckhoff Service Tool automatisch gestartet und kann verwendet werden - siehe Abbildung 1.

    Nun kann ein Image erstellt oder ein Image wiederhergestellt werden.

    Abbildung 1: Beckhoff Service Tool Hauptseite

  • Wichtig: Startet das BST trotz eingestecktem USB-Stick nicht, muss ggf. die Boot-Reihenfolge im BIOS geändert werden! Eine Dokumentation über die nötigen Einstellungen finden Sie hier.
  • Wichtig: Beim Starten des BST-Stick sollten keine anderen Massenspeicher via USB an das Gerät angeschlossen sein. Zusätzliche Massenspeicher können nach erfolgreichem starten des BST mit dem Gerät verbunden werden.
  • Wichtig: Für Betriebssysteme wie Windows XP, Windows 7 und Windows 8 sollte immer das Acronis Image als Backup Option verwendet werden.
    •


Unterstützte Plattformen

Das Beckhoff Service Tool unterstützt folgende Hardware bzw. Software Plattformen.

Unterstütze Betriebssysteme:

  • Windows CE / Windows Embedded Compact
  • Windows XP embedded / Windows Embedded Standard

Unterstützte Platformen:

Beckhoff Embedded PC bzw. Industrie PC | Unterstützt ab BST Version
CX1010 | 1.0.x.x
CX1020 | 1.0.x.x
CX1030 | 1.0.x.x
CX5010 | 1.0.x.x
CX5020 | 1.0.x.x
CX2020 | 1.7.x.x
CX2030 | 1.7.x.x
CX2040 | 1.7.x.x
C33xx-0020 | 1.4.x.x
C33xx-0030 | 1.4.x.x
C36xx-0020 | 1.4.x.x
C36xx-0030 | 1.4.x.x
C5101-0020 | 1.4.x.x
C5101-0030 | 1.4.x.x
C5101-0040 | 1.4.x.x
C5101-0050 | 1.7.x.x
C5102-0020 | 1.4.x.x
C5102-0030 | 1.4.x.x
C5210-0000 | 1.4.x.x
C5210-0010 | 1.7.x.x
C5520-0020 | 1.4.x.x
C5520-0030 | 1.4.x.x
C5540-0020 | 1.4.x.x
C5540-0030 | 1.4.x.x
C6110-0020 | 1.4.x.x
C6110-0030 | 1.4.x.x
C6110-0040 | 1.4.x.x
C6120-0020 | 1.4.x.x
C6120-0030 | 1.4.x.x
C6120-0040 | 1.4.x.x
C6130-0020 | 1.4.x.x
C6130-0030 | 1.4.x.x
C6140-0020 | 1.4.x.x
C6140-0030 | 1.4.x.x
C6140-0040 | 1.4.x.x
C6140-0050 | 1.7.x.x
C6150-0020 | 1.4.x.x
C6150-0030 | 1.4.x.x
C6150-0040 | 1.5.x.x
C6150-0050 | 1.7.x.x
C6210-0020 | 1.4.x.x
C6210-0030 | 1.4.x.x
C6210-0040 | 1.4.x.x
C6220-0020 | 1.4.x.x
C6220-0030 | 1.4.x.x
C6220-0040 | 1.4.x.x
C6240-0020 | 1.4.x.x
C6240-0030 | 1.4.x.x
C6240-0040 | 1.5.x.x
C6240-0050 | 1.7.x.x
C6250-0030 | 1.4.x.x
C6250-0040 | 1.4.x.x
C6250-0050 | 1.5.x.x
C6250-0060 | 1.7.x.x
C63xx-0030 | 1.4.x.x
C63xx-0040 | 1.4.x.x
C63xx-0050 | 1.4.x.x
C65xx-0000 | 1.0.x.x
C65xx-0010 | 1.0.x.x
C65xx-0020 | 1.4.x.x
C65xx-0030 | 1.4.x.x
C65xx-0040 | 1.7.x.x
C6640-0000 | 1.4.x.x
C6640-0010 | 1.4.x.x
C6640-0020 | 1.5.x.x
C6640-0030 | 1.7.x.x
C6650-0010 | 1.4.x.x
C6650-0020 | 1.5.x.x
C6650-0030 | 1.7.x.x
C6915-0000 | 1.4.x.x
C6920-0000 | 1.0.x.x
C6920-0010 | 1.0.x.x
C6920-0020 | 1.0.x.x
C6920-0030 | 1.5.x.x
C6920-0040 | 1.7.x.x
C6925-0000 | 1.0.x.x
C6930-0000 | 1.0.x.x
C6930-0010 | 1.4.x.x
C6930-0020 | 1.0.x.x
C6930-0030 | 1.5.x.x
C6930-0040 | 1.7.x.x
CP62xx-xxxx-0000 | 1.4.x.x
CP62xx-xxxx-0010 | 1.4.x.x
CP62xx-xxxx-0020 | 1.4.x.x
CP62xx-xxxx-0030 | 1.4.x.x
CP63xx-xxxx-0020 | 1.4.x.x
CP63xx-xxxx-0030 | 1.4.x.x
CP64xx-xxxx-0010 | 1.4.x.x
CP64xx-xxxx-0030 | 1.4.x.x
CP64xx-xxxx-0040 | 1.4.x.x
CP65xx-xxxx-0040 | 1.4.x.x
CP65xx-xxxx-0050 | 1.4.x.x
CP67xx-xxxx-0020 | 1.4.x.x
CP71xx-xxxx-0040 | 1.4.x.x
CP71xx-xxxx-0050 | 1.4.x.x
CP72xx-xxxx-0000 | 1.4.x.x
CP72xx-xxxx-0010 | 1.4.x.x
CP72xx-xxxx-0020 | 1.4.x.x
CP77xx-xxxx-0020 | 1.4.x.x
CP77xx-xxxx-0030 | 1.4.x.x

Hinweis:

Das Beckhoff Service Tool läuft nur auf den oben angegebenen Plattformen und ist nicht abhängig von der BIOS oder Hardware Version!


BIOS Einstellungen

Um von einem USB-Stick das System hoch zu fahren, muss im BIOS die Bootreihenfolge geändert werden. Um in das BIOS zu gelangen, drücken Sie nach dem Einschalten des Geräts die Taste "Del" (auf deutschen Tastaturen "Entf"), wenn Sie dazu aufgefordert werden.

Im BIOS wählen Sie "Advanced BIOS Features" aus. Hier muss nun das "First Bootdevice" auf "USB-HDD" eingestellt werden. Als "Secondary Bootdevice" tragen Sie, je nach verwendetem Betriebssystem, "HDD-0" für Windows XPembedded bzw. "WinCE" für WindowsCE ein, damit von der lokalen Festplatte gestartet wird, sofern kein USB-Stick eingesteckt ist.

Danach kann das BIOS wieder beendet werden. Das Speichern der Änderungen dabei nicht vergessen!


Hauptseite

Über den Startbildschirm des BST ist es möglich, schnell und einfach die wichtigsten Funktionen zu erreichen. Zur Verfügung stehen die folgenden Aktionen:

  • Backups erstellen (1)
  • Backups wiederherstellen (2)
  • Betriebssystem-Backups verwalten (4)

Außerdem können folgende Einstellungen über die Startseite geändert werden:

  • diverse Einstellungen (z.B.: "Linked Buttons", "Easy Mode", "Fallback" Default Status konfigurieren, ...) (3)
  • Display-Auflösung (5)

Des Weiteren können benutzerdefinierte Schaltflächen (9) eingefügt werden, mit denen es möglich ist, Applikationen - wie z.B. das Kalibrierungsprogramm für einen Touchscreen - direkt aus dem BST zu starten.

Sollte aufgrund einer falschen Auflösung das BST nicht auf dem Bildschirm angezeigt werden, kann die Auflösung über folgende Tastenkombinationen geändert werden:

  • "Strg" + "F1" » 640x480
  • "Strg" + "F2" » 800x600
  • "Strg" + "F3" » 1024x768
  • "Strg" + "F4" » 1280x1024

Bei nicht kalibriertem Touchscreen kann die Kalibrierungssoftware ebenfalls über eine Tastenkombination aufgerufen werden:

  • "Strg" + "E" » Kalibrierungssoftware starten

Über "Shutdown" (6) und "MS-Shell" (7) fahren Sie den Rechner herunter bzw. beenden Sie das BST Programm und starten den Windows Explorer.

Mit "Help" (8) öffnen Sie die Hilfe.


Erstellen einer Sicherung mit "Acronis Image Format"

Embedded-PC: Beckhoff Service Tool

Erstellen eines Backups mit "Acronis Image Format"

Um ein Backup von Partitionen vorzunehmen, wählen Sie zuerst das Format aus.

In dem nächsten Dialog wählen Sie die Laufwerke und Partitionen aus, die in das Backup einbezogen werden sollen.

Wählen Sie in der Verzeichnisstruktur auf der linken Seite das Verzeichnis aus, in dem das Image gespeichert werden soll.
Wollen Sie das System-Image auf einem Netzlaufwerk speichern, können Sie dieses über "Map Network Drive" einbinden.

Wenn Sie Ihr System-Image im Acronis Image-Format speichern, haben Sie die Möglichkeit ein Passwort für das Image anzulegen.
Außerdem können Sie die Kompressionsstufe einstellen.

Bevor der Backup-Prozess startet, können Sie Ihre Einstellungen noch mal überprüfen.


Erstellen einer Sicherung mit "Data Structure"

Erstellen eines Backups mit "Data Structure"

Um eine Backup von Partitionen vorzunehmen, wählen Sie zuerst das Format aus.

In dem nächsten Dialog wählen Sie die Laufwerke und Partitionen aus, die in das Backup einbezogen werden sollen.

Wählen Sie in der Verzeichnisstruktur auf der linken Seite das Verzeichnis aus, in dem das Image gespeichert werden soll.
Wollen Sie das System-Image auf einem Netzlaufwerk speichern, können Sie dieses über "Map Network Drive" einbinden.

Bevor der Backup-Prozess startet, können Sie Ihre Einstellungen noch einmal überprüfen.

Außerdem kann noch mittels "Check partitions before creating backup" die Partition vor der Image-Erstellung überprüft werden. Mit dem Überprüfen der Partition kann sichergestellt werden das die Daten korrekt gelesen werden können, falls die Partition beschädigt sein sollte.


Wiederherstellen eines Images mit "Acronis Image Format"

Wiederherstellen eines Backups mit "Acronis Image Format"

Um ein System-Image wiederherzustellen muss zuerst das Format des gespeicherten Backups angegeben werden.
Zur Auswahl stehen "Data Structure" und "Acronis Image Format".

Wählen Sie in der Verzeichnisstruktur auf der linken Seite das Verzeichnis aus, in dem sich das wiederherzustellende Image befindet.
Liegt Ihr Image auf einem Netzlaufwerk, können Sie sich über "Map Network Drive" zu diesem verbinden.

Im nächsten Dialog sehen Sie, welche Festplatten bzw. Partitionen sich in dem gewählten Image befinden.
Wählen Sie über die Auswahlboxen die Festlatten bzw. Partitionen aus, welche wiederhergestellt werden sollen.

Als letzten Schritt geben Sie das Medium an, auf dem das System-Image wiederhergestellt werden soll.

Achtung: Das gewählte Medium wird gelöscht, sobald der Wiederherstellungsprozess gestartet wird.

Bevor der Wiederherstellungsprozess gestartet wird, können Sie in der Gesamtübersicht Ihre Einstellungen noch mal überprüfen.

Außerdem steht noch die Option "Create Fallback" zur Verfügung.
"Create Fallback" erstellt eine Sicherung des zu überschreibenden Mediums um dies im Fehlerfall wiederherstellen zu können.

Wichtig: Das Wiederherstellen eines System-Images auf ein Flashmedium (z.B. Compact Flash) wird nur auf die von Beckhoff vertriebenen Compact Flash-Karten unterstützt!


Wiederherstellen eines Images mit "Data Structure"

Wiederherstellen eines Backups mit "Data Structure"

Um ein System-Image wiederherzustellen muss zuerst das Format des gespeicherten Backups angegeben werden.
Zur Auswahl stehen "Data Structure" und "Acronis Image Format".

Wählen Sie in der Verzeichnisstruktur auf der linken Seite das Verzeichnis aus, in dem sich das wiederherzustellende Image befindet.
Liegt Ihr Image auf einem Netzlaufwerk, können Sie sich über "Map Network Drive" zu diesem verbinden.

Im nächsten Dialog sehen Sie, welche Festplatten bzw. Partitionen sich in dem gewählten Image befinden.
Wählen Sie über die Auswahlboxen die Festplatten bzw. Partitionen aus, welche wiederhergestellt werden sollen.

Als letzten Schritt geben Sie das Medium an, auf dem das System-Image wiederhergestellt werden soll.

In dem "Resize Partitions"-Dialog kann, bevor das Image wiederhergestellt wird, die Partition angepasst werden.
Die minimal mögliche Partitionsgröße ist dabei die Größe der jeweiligen Partition.

Achtung 		Datenverlust
Das gewählte Medium wird gelöscht, sobald der Wiederherstellungsprozess gestartet wird.

Bevor der Wiederherstellungsprozess gestartet wird, können Sie in der Gesamtübersicht Ihre Einstellungen noch mal überprüfen.

Außerdem stehen noch die Optionen "Check partitions after backup is restored" und "Create Fallback" zur Verfügung.
"Check partitions after backup is restored" überprüft nach dem wiederherstellen die Partition bzw. das Laufwerk auf Fehler.
"Create Fallback" erstellt eine Sicherung des zu überschreibenden Mediums um dies im Fehlerfall wiederherstellen zu können.

Achtung 		Kompatibilität
Wiederherstellen eines System-Images auf ein Flashmedium (z.B. Compact Flash) wird nur auf die von Beckhoff vertriebenen Compact Flash-Karten unterstützt!


Sicherungen verwalten

Über den Dialog "Manage Images" können Sie die einzelnen Images, die auf dem Stick oder im Netzwerk gespeichert sind, löschen und umbenennen.

Das Textfeld (1) zeigt den aktuellen Ordner an, aus dem die Sicherungen aufgelistet sind. Über "Browse" (2) können Sie diesen Pfad ändern. Nach der Auswahl eines Images in der Tabelle (3) kann das Image mit "Delete" (5) gelöscht werden.

Über "Refresh" (4) kann die Image-Liste aktualisiert werden.

Mit "Close" (6) schließen Sie den aktuellen Dialog.


Ändern des Shell-Passwortes

Um vom Beckhoff Service Tool in die Windows Oberfläche zu gelangen, wird ein Passwort benötigt. Dieses kann im Settings-Dialog unter "Passwords" gesetzt werden. Ab Werk ist "shell" als Passwort vergeben.

Zur Änderung des Passwortes geben Sie zunächst das alte Passwort an, anschließend tragen Sie unter "New Password" das neue Passwort ein. Zur Bestätigung müssen Sie unter "Confirm" noch einmal das neue Passwort eingegeben.

Um kein Passwort für den Start der Windows Oberfläche aus dem BST festzulegen, lassen Sie "New Password" und "Confirm" leer.

Mit "OK" werden die Einstellungen übernommen, mit "Cancel" werden die Einstellungen verworfen.


Benutzerdefinierte Schaltflächen

Benutzerdefinierte Schaltflächen - Linked Buttons

Unter dem Reiter "Linked Buttons" im Dialog "Settings" können Sie die Funktion der benutzerdefinierten Buttons auf der Startseite festlegen. Sie haben die Möglichkeit die Beschriftung, sowie den Pfad für das auszuführende Programm einzustellen.

Um nach der ausführbaren Datei zu suchen, drücken Sie auf "Select" neben dem Button den Sie belegen möchten.

Nachdem Sie Ihre Einstellungen getätigt haben, drücken Sie auf "OK", um Ihre Änderungen zu bestätigen. Wenn Sie den Konfigurationsvorgang abbrechen möchten drücken Sie "Cancel".


Settings - Easy Mode

Easy Mode

"Easy Mode" bietet dem Benutzer die Möglichkeit, mit wenigen Klicks ein Image zu erstellen bzw. wiederherzustellen. Bei aktivierten "Easy Mode" startet das BST den Backupvorgang automatisch mit vorgegebenen Standardeinstellungen, die man über den Settings-Dialog konfigurieren kann. Analog wird im "Easy Mode" über "Restore" das aktuellste System-Backup wiederhergestellt.

Der Easy Mode kann einfach und komfortabel über den Settings-Dialog konfiguriert werden.

"Enable Easy Mode" (1) kann der Easy Mode eingeschaltet werden. Nach dem Einschalten kann der Easy Mode nach Kundenwunsch konfiguriert werden.

"Backupname" (2) wird der Name des zu erstellenden Backups festgelegt.

"Password" (3) wird das Passwort festgelegt, mit dem das zu erstellende Image verschlüsselt wird.

"Confirm Password" (4) ist zur Sicherstellung, dass das Passwort in (3) richtig geschrieben wurde.

"Check Disk(s)" (5) ist zur Überprüfung des Mediums vor der Imageerstellung.

"Create Fallback" (6) erstellt ein Backup des alten Systems bevor das neue Backup wiederhergestellt wird.

"Source Path" (7) gibt den Pfad an, von dem das Backup wiederhergestellt werden soll.

"Destination Path" (8) enthält den Pfad, in dem das Backup gespeichert werden soll.

Mit den beiden "Select"-Schaltflächen (9) kann jeweils zu beliebigen Ordnern navigiert werden.

Der "Easy Mode" steht momentan nur auf dem Image C9900-I901 in Verbindung mit Acronis Image Format zur Verfügung.


Settings Dialog - Map Network Drive

Verbinden eines Netzlaufwerks - Map Network Drive

Mit dem "Map Network Drive" Karteireiter im "Settings Dialog" ist es möglich Netzlaufwerke dauerhaft oder kurzzeitig zu verbinden. Eine kurzzeitige Verbindung bedeutet, dass das Laufwerk nur so lange verbunden ist, wie das Beckhoff Service Tool gestartet ist. Mit der dauerhaften Verbindung kann ein Netzlaufwerk auch nach einem Neustart des Rechner wieder verwendet werden, ohne es wieder manuell verbinden zu müssen.

Um ein Netzlaufwerk zu verbinden, müssen Sie zunächst einmal ein Laufwerksbuchstabe (1) auswählen. In (2) geben Sie den UNC-Pfad zu der Freigabe an, die Sie verbinden möchten. Hierzu kann auch die Browse-Funktion (3) genutzt werden. Je nach Freigabe müssen Sie auch noch einen Benutzer (4) mit Passwort (5) angeben, damit das Laufwerk verbunden werden kann. Mit "Reconnect at logon" (6) legen Sie fest, ob die zu verbindende Freigabe eine kurzzeitige oder dauerhafte Verbindung werden soll. Mit "Add" (7) wird die Freigabe verbunden.

Alle verbundenen Laufwerke werden unter "List / Remove Network Drive" (8) gelistet und können, nachdem sie markiert wurden, mit "Remove" (9) wieder gelöscht werden.

Abbildung 1


Settings Dialog - Run

Autostart Funktion - Run

In dem Karteireiter "Run" kann man maximal drei ausführbare Dateien einfügen, welche beim Starten des BST ausgeführt werden.
Diese Autostart Funktion ist besonders interessant bei Panel PC, welche nicht über Maus oder Tastatur verfügen. Somit kann z.B. die Kalibrierung des Touchscreens automatisch ausgeführt werden.

"Path" (1) gibt den Pfad zu der ausführbaren Datei an, inklusive der Datei. Mit "Select" (2) kann eine zu startende Datei mittels Browse-Funktion ausgewählt werden. Zum Löschen eines "Runs" kann die Schaltfläche "Remove" (3) verwendet werden.

Abbildung 1


Settings - Easy Mode

Fallback

Die Fallback Option bietet die Möglichkeit eine Sicherung des Ursystems zu erstellen bevor das eigentliche Backup wiederhergestellt wird. Dies hat den Vorteil, dass im Fehlerfall das Ursystem wiederhergestellt werden kann.

Die Möglichkeit ein Fallback zu erstellen kann vor dem Image wiederherstellen noch ein- bzw. ausgeschaltet werden.

"Create Fallback (Default status)" (1) schaltet den Fallback Status aus bzw. ein. Dieser kann vor dem Wiederherstellen eines Images noch an- bzw. abgewählt werden.

"Password" (2) wird das Passwort festgelegt, mit dem das zu erstellende Image verschlüsselt wird.

"Confirm Password" (3) ist zur Sicherstellung, dass das Passwort richtig geschrieben wurde.

"Compression" (4) kann die Komprimierung des zu sichernden Images gewählt werden.

"Check Disk(s)" (5) überprüft das zu sichernde Laufwerk bevor ein Sicherung erstellt wird.

"Destination Path" (6) enthält den Pfad, in dem das Backup gespeichert werden soll.

Mit der"Select"-Schaltfläche (7) kann jeweils zu beliebigen Ordnern navigiert werden.


Settings - Easy Mode

General

Mit der "Check Platforms" (1) Option wird vor dem Wiederherstellen einer Sicherung der Rechnername in der Sicherung mit dem aktuellen Rechnernamen verglichen. Stimmen diese nicht überein muss der User das Wiederherstellen des Images bestätigen.

Mit der "BST" Option (2) unter Select Language ist es möglich die Oberflächensprache des BST's zu ändern. Eine Liste der derzeit Unterstützten Sprachen ist in Tabelle 1 zu finden.

Die "Keyboard" Option (3) ermöglicht es das Tastaturlayout, unabhängig von der Oberflächensprache, einzustellen. Eine LIste der derzeit Unterstützten Sprachen ist in Tabelle 1 zu finden.

BST Oberflächenlokalisierung | Tastaturlayouts
Englisch | Englisch (US)
Deutsch | Deutsch (Deutschland)
Spanisch | Spanisch (Internationale Sortierung)
Französisch | Französisch (Frankreich)
Italienisch | Italienisch (Italien)

Tabelle 1


Manuelle Konfiguration der Settings.xml

Einstellungen, die im Settings-Dialog konfiguriert werden, können auch manuell in der Settings.xml konfiguriert werden. Zu den Einstellungsmöglichkeiten zählen der "Easy Mode", die Sprache der Oberfläche, benutzerdefinierte Schaltflächen, Autostarts und feste Netzlaufwerke.

"Easy Mode":

Der "Easy Mode" lässt sich auch manuell über die Settings.xml konfigurieren.

Über "Enabled" kann man einstellen, ob der Easy Mode eingeschaltet oder ausgeschaltet sein soll. Ist "Enabled" auf "0" gesetzt, ist der Easy Mode ausgeschaltet, bei "1" ist er eingeschaltet.

"ImageFormat" gibt das Format des Images an, in dem das Backup erstellt werden soll. Unterstützt wird nur das Acronis Image Format (tib).

"BackupName" ist der Name des Backups mit dem das Backup auf das Speichermedium geschrieben wird.

"Password" hier steht das Passwort des Backups in verschlüsselter Form. Wenn hier nichts eingetragen ist wird das Backup nicht verschlüsselt.
Sobald ein Passwort zum Verschlüsseln des Backups verwendet werden soll, muss die Konfiguration über das BST vorgenommen werden da das Passwort verschlüsselt abgespeichert wird!

"DestinationPath" gibt den Pfad an, in dem das Backup gesichert werden soll. Hier ist standardmäßig "C:\Images" eingetragen, kann aber auch nach Belieben geändert werden.

"SourcePath" gibt den Quellpfad an, von dem ein Backup wiederhergestellt werden soll. Hier ist standardmäßig "C:\Images" eingetragen, kann aber auch nach Belieben geändert werden.

In der Abbildung 1 ist eine Beispielkonfiguration zu sehen.

Abbildung 1

Benutzerdefinierte Schaltflächen:

Die benutzerdefinierten Schaltflächen sind die, die der Benutzer auf der BST Oberfläche frei belegen kann. In dem Beispiel in Abbildung 3 wird eine Schaltfläche mit dem Kalibrierungstool des Elo Touchscreen Treibers belegt.

Abbildung 3

Autostart:

Es können maximal drei Dateien festgelegt werden, die beim Start nacheinander ausgeführt werden. Wichtig ist, dass sowohl der Pfad zur Datei als auch der Dateiname selbst eingetragen wird. In Abbildung 4 wird z.B. das Kalibieren des Touchscreens festgelegt.

Abbildung 4

Permanente Netzlaufwerke:

Permanente Netzlaufwerke dürfen nicht(!) über die Settings.xml eingerichtet werden, da nur über die BST Oberfläche das Passwort verschlüsselt abgespeichert werden kann. Ein verschlüsseltes Passwort ist zwingend für den Betrieb des BST erforderlich.